<template>
	<div class="sys-user-container">
	  <splitpanes>
		<pane size="14">
		  <el-collapse v-model="activeName">
			<el-collapse-item title="设备控制" name="1">
			  <el-card
				class="box-card"
				shadow="hover"
				body-style="height:35px; padding: 0 20px; display: flex; align-items: center;">
				<el-switch v-model="value1" active-text="" inactive-text="程序服务"></el-switch>
			  </el-card>
			  <el-card
				class="box-card"
				shadow="hover"
				body-style="height:35px; padding: 0 20px; display: flex; align-items: center;"
				style="margin-top: 5px;">
				<el-switch v-model="value2" active-text="" inactive-text="脱机模式"></el-switch>
			  </el-card>
			  <el-card
				class="box-card"
				shadow="hover"
				body-style="height:35px; padding: 0 20px; display: flex; align-items: center;"
				style="margin-top: 5px;">
				<el-switch v-model="value3" active-text="" inactive-text="自刷新"></el-switch>
			  </el-card>
			</el-collapse-item>
  
			<el-collapse-item title="堆垛机" name="2">
			  <div style="overflow-x: auto;white-space: nowrap;height: 380px;">
				<el-card
				  v-for="(stacker, index) in stackers"
				  :key="index"
				  class="box-card"
				  shadow="hover"
				  body-style="height:30px; padding: 0 20px; display: flex; align-items: center;"
				  style="margin-top: 5px;">
				  <el-switch v-model="stacker.value" :inactive-text="`${index + 1}号堆垛机`"></el-switch>
				</el-card>
			  </div>
			</el-collapse-item>
  
			<el-collapse-item title="输送线" name="3">
			  <el-card
				v-for="(conveyor, index) in conveyors"
				:key="index"
				class="box-card"
				shadow="hover"
				body-style="height:30px; padding: 0 20px; display: flex; align-items: center;"
				style="margin-top: 5px;">
				<el-switch v-model="conveyor.value" :inactive-text="`${index + 1}楼输送线`"></el-switch>
			  </el-card>
			</el-collapse-item>
		  </el-collapse>
		</pane>
		<pane size="86" style="position: relative;background-color: #fff;">
			<el-card shadow="hover" :body-style="{ paddingBottom: '0', padding: '10px' }" class="card-line">
				<div class="grid-container-line">
					<div 
						v-for="cell in cellsDataLine" 
						:key="cell.Id">						
						<div v-if="cell.IsShow === 0"		
							class="grid-item-line">
							<div class="grid-item-line-end">
								{{cell.EndLocat}}
							</div>
							<div class="grid-item-line-box" :style="{ marginTop: cell.BoxHeight + 'px' }">
								{{ cell.LineCode }}
							</div>
							<div class="grid-item-line-child"></div>
						</div>
					</div>
				</div>
			</el-card>
			<el-card shadow="hover" :body-style="{ paddingBottom: '0', padding: '10px' }" class="card">
				<div class="grid-container">
					<div 
						v-for="cell in cellsData" 
						:key="cell.Id">
						<div 
							v-if="cell.IsShow === 0"						
							:class="['grid-item', { 'active': cell.IsUse === 1 }, { 'active2': cell.IsUse === 2 }]"
							>
							<div>{{ cell.Code }}</div>
						</div>
					</div>
				</div>
			</el-card>
		</pane>
	  </splitpanes>
	</div>
  </template>
  
  <script lang="ts" setup>
  import { ref, reactive } from 'vue';
  import { Splitpanes, Pane } from 'splitpanes';
  import 'splitpanes/dist/splitpanes.css';
import { he } from 'element-plus/es/locale';
import { LineEdge } from '@logicflow/core';
  
  const activeName = ['1', '2', '3'];
  const value1 = ref(false);
  const value2 = ref(false);
  const value3 = ref(false);
  const stackers = reactive([
	{ value: false },
	{ value: false },
	{ value: false },
	{ value: false },
	{ value: false },
	{ value: false },
	{ value: false },
	{ value: false },
	{ value: false },
	{ value: false },
  ]);
  const conveyors = reactive([
	{ value: false },
	{ value: false },
	{ value: false },
  ]);


  const cellsDataLine=[
  	{ Id: 1, Code: '001', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 2, Code: '002', LineCode:'01',EndLocat:'01010101',IsShow: 0, IsUse: 0,BoxHeight:190 },
	{ Id: 3, Code: '003', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 4, Code: '004', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 5, Code: '005', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 6, Code: '006', LineCode:'02',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:50 },
	{ Id: 7, Code: '007', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 8, Code: '008', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 9, Code: '009', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 10, Code: '010', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 11, Code: '011', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 12, Code: '012', LineCode:'03',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:10 },
	{ Id: 13, Code: '013', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 14, Code: '014', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 15, Code: '015', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 16, Code: '016', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 17, Code: '017', LineCode:'04',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:10 },
	{ Id: 18, Code: '018', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 19, Code: '019', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 20, Code: '020', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 21, Code: '021', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 22, Code: '022', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 23, Code: '023', LineCode:'05',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:330 },
	{ Id: 24, Code: '024', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10},
	{ Id: 25, Code: '025', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 26, Code: '026', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 27, Code: '027', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 28, Code: '028', LineCode:'06',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:0 },
	{ Id: 29, Code: '029', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 30, Code: '030', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 31, Code: '031', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 32, Code: '032', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 33, Code: '033', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 34, Code: '034', LineCode:'07',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:10 },
	{ Id: 35, Code: '035', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 36, Code: '036', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 37, Code: '037', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 38, Code: '038', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 39, Code: '039', LineCode:'08',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:10 },
	{ Id: 40, Code: '040', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 41, Code: '041', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 42, Code: '042', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 43, Code: '043', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 44, Code: '044', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 45, Code: '045', LineCode:'09',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:10 },
	{ Id: 46, Code: '046', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 47, Code: '047', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 48, Code: '048', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 49, Code: '049', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
	{ Id: 50, Code: '050', LineCode:'10',EndLocat:'',IsShow: 0, IsUse: 0,BoxHeight:10 },
	{ Id: 51, Code: '051', LineCode:'',EndLocat:'',IsShow: 1, IsUse: 0,BoxHeight:10 },
  ];

  const cellsData = [
  	{ Id: 1, Code: '001', IsShow: 0, IsUse: 0,PointCode:'147' },
	{ Id: 2, Code: '002', IsShow: 1, IsUse: 0,PointCode:'' },
	{ Id: 3, Code: '003', IsShow: 0, IsUse: 0,PointCode:'' },
	{ Id: 4, Code: '004', IsShow: 1, IsUse: 0 },
	{ Id: 5, Code: '005', IsShow: 0, IsUse: 0 },
	{ Id: 6, Code: '006', IsShow: 1, IsUse: 0 },
	{ Id: 7, Code: '007', IsShow: 0, IsUse: 0 },
	{ Id: 8, Code: '008', IsShow: 1, IsUse: 0 },
	{ Id: 9, Code: '009', IsShow: 1, IsUse: 0 },
	{ Id: 10, Code: '010', IsShow: 1, IsUse: 0 },
	{ Id: 11, Code: '011', IsShow: 0, IsUse: 0 },
	{ Id: 12, Code: '012', IsShow: 1, IsUse: 0 },
	{ Id: 13, Code: '013', IsShow: 0, IsUse: 0 },
	{ Id: 14, Code: '014', IsShow: 1, IsUse: 0 },
	{ Id: 15, Code: '015', IsShow: 1, IsUse: 0 },
	{ Id: 16, Code: '016', IsShow: 0, IsUse: 0 },
	{ Id: 17, Code: '017', IsShow: 1, IsUse: 0 },
	{ Id: 18, Code: '018', IsShow: 0, IsUse: 0 },
	{ Id: 19, Code: '019', IsShow: 1, IsUse: 0 },
	{ Id: 20, Code: '020', IsShow: 1, IsUse: 0 },
	{ Id: 21, Code: '021', IsShow: 1, IsUse: 0 },
	{ Id: 22, Code: '022', IsShow: 0, IsUse: 0 },
	{ Id: 23, Code: '023', IsShow: 1, IsUse: 0 },
	{ Id: 24, Code: '024', IsShow: 0, IsUse: 0 },
	{ Id: 25, Code: '025', IsShow: 1, IsUse: 0 },
	{ Id: 26, Code: '026', IsShow: 1, IsUse: 0 },
	{ Id: 27, Code: '027', IsShow: 0, IsUse: 0 },
	{ Id: 28, Code: '028', IsShow: 1, IsUse: 0 },
	{ Id: 29, Code: '029', IsShow: 0, IsUse: 0 },
	{ Id: 30, Code: '030', IsShow: 1, IsUse: 0 },
	{ Id: 31, Code: '031', IsShow: 1, IsUse: 0 },
	{ Id: 32, Code: '032', IsShow: 1, IsUse: 0 },
	{ Id: 33, Code: '033', IsShow: 0, IsUse: 0 },
	{ Id: 34, Code: '034', IsShow: 1, IsUse: 0 },
	{ Id: 35, Code: '035', IsShow: 0, IsUse: 0 },
	{ Id: 36, Code: '036', IsShow: 1, IsUse: 0 },
	{ Id: 37, Code: '037', IsShow: 1, IsUse: 0 },
	{ Id: 38, Code: '038', IsShow: 0, IsUse: 0 },
	{ Id: 39, Code: '039', IsShow: 1, IsUse: 0 },
	{ Id: 40, Code: '040', IsShow: 0, IsUse: 0 },
	{ Id: 41, Code: '041', IsShow: 1, IsUse: 0 },
	{ Id: 42, Code: '042', IsShow: 1, IsUse: 0 },
	{ Id: 43, Code: '043', IsShow: 1, IsUse: 0 },
	{ Id: 44, Code: '044', IsShow: 0, IsUse: 0 },
	{ Id: 45, Code: '045', IsShow: 1, IsUse: 0 },
	{ Id: 46, Code: '046', IsShow: 0, IsUse: 0 },
	{ Id: 47, Code: '047', IsShow: 1, IsUse: 0 },
	{ Id: 48, Code: '048', IsShow: 1, IsUse: 0 },
	{ Id: 49, Code: '049', IsShow: 0, IsUse: 0 },
	{ Id: 50, Code: '050', IsShow: 1, IsUse: 0 },
	{ Id: 51, Code: '051', IsShow: 0, IsUse: 0 },
	{ Id: 52, Code: '052', IsShow: 0, IsUse: 2 },
	{ Id: 53, Code: '053', IsShow: 1, IsUse: 0 },
	{ Id: 54, Code: '054', IsShow: 0, IsUse: 2 },
	{ Id: 55, Code: '055', IsShow: 1, IsUse: 0 },
	{ Id: 56, Code: '056', IsShow: 0, IsUse: 2 },
	{ Id: 57, Code: '057', IsShow: 1, IsUse: 0 },
	{ Id: 58, Code: '058', IsShow: 0, IsUse: 2 },
	{ Id: 59, Code: '059', IsShow: 1, IsUse: 0 },
	{ Id: 60, Code: '060', IsShow: 1, IsUse: 0 },
	{ Id: 61, Code: '061', IsShow: 1, IsUse: 0 },
	{ Id: 62, Code: '062', IsShow: 0, IsUse: 2 },
	{ Id: 63, Code: '063', IsShow: 1, IsUse: 0 },
	{ Id: 64, Code: '064', IsShow: 0, IsUse: 2 },
	{ Id: 65, Code: '065', IsShow: 1, IsUse: 0 },
	{ Id: 66, Code: '066', IsShow: 1, IsUse: 0 },
	{ Id: 67, Code: '067', IsShow: 0, IsUse: 2 },
	{ Id: 68, Code: '068', IsShow: 1, IsUse: 0 },
	{ Id: 69, Code: '069', IsShow: 0, IsUse: 2 },
	{ Id: 70, Code: '070', IsShow: 1, IsUse: 0 },
	{ Id: 71, Code: '071', IsShow: 1, IsUse: 0 },
	{ Id: 72, Code: '072', IsShow: 1, IsUse: 0 },
	{ Id: 73, Code: '073', IsShow: 0, IsUse: 2 },
	{ Id: 74, Code: '074', IsShow: 1, IsUse: 0 },
	{ Id: 75, Code: '075', IsShow: 0, IsUse: 2 },
	{ Id: 76, Code: '076', IsShow: 1, IsUse: 0 },
	{ Id: 77, Code: '077', IsShow: 1, IsUse: 0 },
	{ Id: 78, Code: '078', IsShow: 0, IsUse: 2 },
	{ Id: 79, Code: '079', IsShow: 1, IsUse: 0 },
	{ Id: 80, Code: '080', IsShow: 0, IsUse: 2 },
	{ Id: 81, Code: '081', IsShow: 1, IsUse: 0 },
	{ Id: 82, Code: '082', IsShow: 1, IsUse: 0 },
	{ Id: 83, Code: '083', IsShow: 1, IsUse: 0 },
	{ Id: 84, Code: '084', IsShow: 0, IsUse: 2 },
	{ Id: 85, Code: '085', IsShow: 1, IsUse: 0 },
	{ Id: 86, Code: '086', IsShow: 0, IsUse: 2 },
	{ Id: 87, Code: '087', IsShow: 1, IsUse: 0 },
	{ Id: 88, Code: '088', IsShow: 1, IsUse: 0 },
	{ Id: 89, Code: '089', IsShow: 0, IsUse: 2 },
	{ Id: 90, Code: '090', IsShow: 1, IsUse: 0 },
	{ Id: 91, Code: '091', IsShow: 0, IsUse: 2 },
	{ Id: 92, Code: '092', IsShow: 1, IsUse: 0 },
	{ Id: 93, Code: '093', IsShow: 1, IsUse: 0 },
	{ Id: 94, Code: '094', IsShow: 1, IsUse: 0 },
	{ Id: 95, Code: '095', IsShow: 0, IsUse: 2 },
	{ Id: 96, Code: '096', IsShow: 1, IsUse: 0 },
	{ Id: 97, Code: '097', IsShow: 0, IsUse: 2 },
	{ Id: 98, Code: '098', IsShow: 1, IsUse: 0 },
	{ Id: 99, Code: '099', IsShow: 1, IsUse: 0 },
	{ Id: 100, Code: '100', IsShow: 0, IsUse: 2 },
	{ Id: 101, Code: '101', IsShow: 1, IsUse: 0 },
	{ Id: 102, Code: '102', IsShow: 0, IsUse: 2 },
	{ Id: 103, Code: '103', IsShow: 0, IsUse: 2 },
	{ Id: 104, Code: '104', IsShow: 1, IsUse: 0 },
	{ Id: 105, Code: '105', IsShow: 0, IsUse: 2 },
	{ Id: 106, Code: '106', IsShow: 1, IsUse: 0 },
	{ Id: 107, Code: '107', IsShow: 0, IsUse: 2 },
	{ Id: 108, Code: '108', IsShow: 1, IsUse: 0 },
	{ Id: 109, Code: '109', IsShow: 0, IsUse: 2 },
	{ Id: 110, Code: '110', IsShow: 1, IsUse: 0 },
	{ Id: 111, Code: '111', IsShow: 1, IsUse: 0 },
	{ Id: 112, Code: '112', IsShow: 1, IsUse: 0 },
	{ Id: 113, Code: '113', IsShow: 0, IsUse: 2 },
	{ Id: 114, Code: '114', IsShow: 1, IsUse: 0 },
	{ Id: 115, Code: '115', IsShow: 0, IsUse: 2 },
	{ Id: 116, Code: '116', IsShow: 1, IsUse: 0 },
	{ Id: 117, Code: '117', IsShow: 1, IsUse: 0 },
	{ Id: 118, Code: '118', IsShow: 0, IsUse: 2 },
	{ Id: 119, Code: '119', IsShow: 1, IsUse: 0 },
	{ Id: 120, Code: '120', IsShow: 0, IsUse: 2 },
	{ Id: 121, Code: '121', IsShow: 1, IsUse: 0 },
	{ Id: 122, Code: '122', IsShow: 1, IsUse: 0 },
	{ Id: 123, Code: '123', IsShow: 1, IsUse: 0 },
	{ Id: 124, Code: '124', IsShow: 0, IsUse: 2 },
	{ Id: 125, Code: '125', IsShow: 1, IsUse: 0 },
	{ Id: 126, Code: '126', IsShow: 0, IsUse: 2 },
	{ Id: 127, Code: '127', IsShow: 1, IsUse: 0 },
	{ Id: 128, Code: '128', IsShow: 1, IsUse: 0 },
	{ Id: 129, Code: '129', IsShow: 0, IsUse: 2 },
	{ Id: 130, Code: '130', IsShow: 1, IsUse: 0 },
	{ Id: 131, Code: '131', IsShow: 0, IsUse: 2 },
	{ Id: 132, Code: '132', IsShow: 1, IsUse: 0 },
	{ Id: 133, Code: '133', IsShow: 1, IsUse: 0 },
	{ Id: 134, Code: '134', IsShow: 1, IsUse: 0 },
	{ Id: 135, Code: '135', IsShow: 0, IsUse: 2 },
	{ Id: 136, Code: '136', IsShow: 1, IsUse: 0 },
	{ Id: 137, Code: '137', IsShow: 0, IsUse: 2 },
	{ Id: 138, Code: '138', IsShow: 1, IsUse: 0 },
	{ Id: 139, Code: '139', IsShow: 1, IsUse: 0 },
	{ Id: 140, Code: '140', IsShow: 0, IsUse: 2 },
	{ Id: 141, Code: '141', IsShow: 1, IsUse: 0 },
	{ Id: 142, Code: '142', IsShow: 0, IsUse: 2 },
	{ Id: 143, Code: '143', IsShow: 1, IsUse: 0 },
	{ Id: 144, Code: '144', IsShow: 1, IsUse: 0 },
	{ Id: 145, Code: '145', IsShow: 1, IsUse: 0 },
	{ Id: 146, Code: '146', IsShow: 0, IsUse: 2 },
	{ Id: 147, Code: '147', IsShow: 1, IsUse: 0 },
	{ Id: 148, Code: '148', IsShow: 0, IsUse: 2 },
	{ Id: 149, Code: '149', IsShow: 1, IsUse: 0 },
	{ Id: 150, Code: '150', IsShow: 1, IsUse: 0 },
	{ Id: 151, Code: '151', IsShow: 0, IsUse: 2 },
	{ Id: 152, Code: '152', IsShow: 1, IsUse: 0 },
	{ Id: 153, Code: '153', IsShow: 0, IsUse: 2 },
	{ Id: 154, Code: '154', IsShow: 0, IsUse: 2 },
	{ Id: 155, Code: '155', IsShow: 1, IsUse: 0 },
	{ Id: 156, Code: '156', IsShow: 0, IsUse: 0 },
	{ Id: 157, Code: '157', IsShow: 1, IsUse: 0 },
	{ Id: 158, Code: '158', IsShow: 0, IsUse: 0 },
	{ Id: 159, Code: '159', IsShow: 1, IsUse: 0 },
	{ Id: 160, Code: '160', IsShow: 0, IsUse: 0 },
	{ Id: 161, Code: '161', IsShow: 1, IsUse: 0 },
	{ Id: 162, Code: '162', IsShow: 1, IsUse: 0 },
	{ Id: 163, Code: '163', IsShow: 1, IsUse: 0 },
	{ Id: 164, Code: '164', IsShow: 0, IsUse: 0 },
	{ Id: 165, Code: '165', IsShow: 1, IsUse: 0 },
	{ Id: 166, Code: '166', IsShow: 0, IsUse: 0 },
	{ Id: 167, Code: '167', IsShow: 1, IsUse: 0 },
	{ Id: 168, Code: '168', IsShow: 1, IsUse: 0 },
	{ Id: 169, Code: '169', IsShow: 0, IsUse: 0 },
	{ Id: 170, Code: '170', IsShow: 1, IsUse: 0 },
	{ Id: 171, Code: '171', IsShow: 0, IsUse: 0 },
	{ Id: 172, Code: '172', IsShow: 1, IsUse: 0 },
	{ Id: 173, Code: '173', IsShow: 1, IsUse: 0 },
	{ Id: 174, Code: '174', IsShow: 1, IsUse: 0 },
	{ Id: 175, Code: '175', IsShow: 0, IsUse: 0 },
	{ Id: 176, Code: '176', IsShow: 1, IsUse: 0 },
	{ Id: 177, Code: '177', IsShow: 0, IsUse: 0 },
	{ Id: 178, Code: '178', IsShow: 1, IsUse: 0 },
	{ Id: 179, Code: '179', IsShow: 1, IsUse: 0 },
	{ Id: 180, Code: '180', IsShow: 0, IsUse: 0 },
	{ Id: 181, Code: '181', IsShow: 1, IsUse: 0 },
	{ Id: 182, Code: '182', IsShow: 0, IsUse: 0 },
	{ Id: 183, Code: '183', IsShow: 1, IsUse: 0 },
	{ Id: 184, Code: '184', IsShow: 1, IsUse: 0 },
	{ Id: 185, Code: '185', IsShow: 1, IsUse: 0 },
	{ Id: 186, Code: '186', IsShow: 0, IsUse: 0 },
	{ Id: 187, Code: '187', IsShow: 1, IsUse: 0 },
	{ Id: 188, Code: '188', IsShow: 0, IsUse: 0 },
	{ Id: 189, Code: '189', IsShow: 1, IsUse: 0 },
	{ Id: 190, Code: '190', IsShow: 1, IsUse: 0 },
	{ Id: 191, Code: '191', IsShow: 0, IsUse: 0 },
	{ Id: 192, Code: '192', IsShow: 1, IsUse: 0 },
	{ Id: 193, Code: '193', IsShow: 0, IsUse: 0 },
	{ Id: 194, Code: '194', IsShow: 1, IsUse: 0 },
	{ Id: 195, Code: '195', IsShow: 1, IsUse: 0 },
	{ Id: 196, Code: '196', IsShow: 1, IsUse: 0 },
	{ Id: 197, Code: '197', IsShow: 0, IsUse: 0 },
	{ Id: 198, Code: '198', IsShow: 1, IsUse: 0 },
	{ Id: 199, Code: '199', IsShow: 0, IsUse: 0 },
	{ Id: 200, Code: '200', IsShow: 1, IsUse: 0 },
	{ Id: 201, Code: '201', IsShow: 1, IsUse: 0 },
	{ Id: 202, Code: '202', IsShow: 0, IsUse: 0 },
	{ Id: 203, Code: '203', IsShow: 1, IsUse: 0 },
	{ Id: 204, Code: '204', IsShow: 0, IsUse: 2 },
	{ Id: 205, Code: '205', IsShow: 0, IsUse: 0 },
	{ Id: 206, Code: '206', IsShow: 0, IsUse: 0 },
	{ Id: 207, Code: '207', IsShow: 0, IsUse: 0 },
	{ Id: 208, Code: '208', IsShow: 0, IsUse: 0 },
	{ Id: 209, Code: '209', IsShow: 0, IsUse: 0 },
	{ Id: 210, Code: '210', IsShow: 0, IsUse: 0 },
	{ Id: 211, Code: '211', IsShow: 0, IsUse: 0 },
	{ Id: 212, Code: '212', IsShow: 0, IsUse: 0 },
	{ Id: 213, Code: '213', IsShow: 0, IsUse: 0 },
	{ Id: 214, Code: '214', IsShow: 0, IsUse: 0 },
	{ Id: 215, Code: '215', IsShow: 0, IsUse: 0 },
	{ Id: 216, Code: '216', IsShow: 0, IsUse: 0 },
	{ Id: 217, Code: '217', IsShow: 0, IsUse: 0 },
	{ Id: 218, Code: '218', IsShow: 0, IsUse: 0 },
	{ Id: 219, Code: '219', IsShow: 0, IsUse: 2 },
	{ Id: 220, Code: '220', IsShow: 0, IsUse: 0 },
	{ Id: 221, Code: '221', IsShow: 0, IsUse: 0 },
	{ Id: 222, Code: '222', IsShow: 0, IsUse: 0 },
	{ Id: 223, Code: '223', IsShow: 0, IsUse: 0 },
	{ Id: 224, Code: '224', IsShow: 0, IsUse: 0 },
	{ Id: 225, Code: '225', IsShow: 0, IsUse: 0 },
	{ Id: 226, Code: '226', IsShow: 0, IsUse: 0 },
	{ Id: 227, Code: '227', IsShow: 0, IsUse: 0 },
	{ Id: 228, Code: '228', IsShow: 0, IsUse: 0 },
	{ Id: 229, Code: '229', IsShow: 0, IsUse: 0 },
	{ Id: 230, Code: '230', IsShow: 0, IsUse: 2 },
	{ Id: 231, Code: '231', IsShow: 0, IsUse: 0 },
	{ Id: 232, Code: '232', IsShow: 0, IsUse: 0 },
	{ Id: 233, Code: '233', IsShow: 0, IsUse: 0 },
	{ Id: 234, Code: '234', IsShow: 0, IsUse: 0 },
	{ Id: 235, Code: '235', IsShow: 0, IsUse: 0 },
	{ Id: 236, Code: '236', IsShow: 0, IsUse: 0 },
	{ Id: 237, Code: '237', IsShow: 0, IsUse: 0 },
	{ Id: 238, Code: '238', IsShow: 0, IsUse: 0 },
	{ Id: 239, Code: '239', IsShow: 0, IsUse: 0 },
	{ Id: 240, Code: '240', IsShow: 0, IsUse: 0 },
	{ Id: 241, Code: '241', IsShow: 0, IsUse: 2 },
	{ Id: 242, Code: '242', IsShow: 0, IsUse: 0 },
	{ Id: 243, Code: '243', IsShow: 0, IsUse: 0 },
	{ Id: 244, Code: '244', IsShow: 0, IsUse: 0 },
	{ Id: 245, Code: '245', IsShow: 0, IsUse: 0 },
	{ Id: 246, Code: '246', IsShow: 0, IsUse: 0 },
	{ Id: 247, Code: '247', IsShow: 0, IsUse: 0 },
	{ Id: 248, Code: '248', IsShow: 0, IsUse: 0 },
	{ Id: 249, Code: '249', IsShow: 0, IsUse: 0 },
	{ Id: 250, Code: '250', IsShow: 0, IsUse: 0 },
	{ Id: 251, Code: '251', IsShow: 0, IsUse: 0 },
	{ Id: 252, Code: '252', IsShow: 0, IsUse: 2 },
	{ Id: 253, Code: '253', IsShow: 0, IsUse: 0 },
	{ Id: 254, Code: '254', IsShow: 0, IsUse: 0 },
	{ Id: 255, Code: '255', IsShow: 0, IsUse: 0 },
	{ Id: 256, Code: '256', IsShow: 0, IsUse: 0 },
	{ Id: 257, Code: '257', IsShow: 1, IsUse: 0 },
	{ Id: 258, Code: '258', IsShow: 1, IsUse: 0 },
	{ Id: 259, Code: '259', IsShow: 1, IsUse: 0 },
	{ Id: 260, Code: '260', IsShow: 0, IsUse: 2 },
	{ Id: 261, Code: '261', IsShow: 1, IsUse: 0 },
	{ Id: 262, Code: '262', IsShow: 1, IsUse: 0 },
	{ Id: 263, Code: '263', IsShow: 1, IsUse: 0 },
	{ Id: 264, Code: '264', IsShow: 1, IsUse: 0 },
	{ Id: 265, Code: '265', IsShow: 1, IsUse: 0 },
	{ Id: 266, Code: '266', IsShow: 0, IsUse: 2 },
	{ Id: 267, Code: '267', IsShow: 1, IsUse: 0 },
	{ Id: 268, Code: '268', IsShow: 1, IsUse: 0 },
	{ Id: 269, Code: '269', IsShow: 1, IsUse: 0 },
	{ Id: 270, Code: '270', IsShow: 1, IsUse: 0 },
	{ Id: 271, Code: '271', IsShow: 1, IsUse: 0 },
	{ Id: 272, Code: '272', IsShow: 1, IsUse: 0 },
	{ Id: 273, Code: '273', IsShow: 0, IsUse: 2 },
	{ Id: 274, Code: '274', IsShow: 1, IsUse: 0 },
	{ Id: 275, Code: '275', IsShow: 1, IsUse: 0 },
	{ Id: 276, Code: '276', IsShow: 1, IsUse: 0 },
	{ Id: 277, Code: '277', IsShow: 1, IsUse: 0 },
	{ Id: 278, Code: '278', IsShow: 1, IsUse: 0 },
	{ Id: 279, Code: '279', IsShow: 0, IsUse: 2 },
	{ Id: 280, Code: '280', IsShow: 1, IsUse: 0 },
	{ Id: 281, Code: '281', IsShow: 1, IsUse: 0 },
	{ Id: 282, Code: '282', IsShow: 1, IsUse: 0 },
	{ Id: 283, Code: '283', IsShow: 1, IsUse: 0 },
	{ Id: 284, Code: '284', IsShow: 0, IsUse: 2 },
	{ Id: 285, Code: '285', IsShow: 1, IsUse: 0 },
	{ Id: 286, Code: '286', IsShow: 1, IsUse: 0 },
	{ Id: 287, Code: '287', IsShow: 1, IsUse: 0 },
	{ Id: 288, Code: '288', IsShow: 0, IsUse: 2 },
	{ Id: 289, Code: '289', IsShow: 1, IsUse: 0 },
	{ Id: 290, Code: '290', IsShow: 1, IsUse: 0 },
	{ Id: 291, Code: '291', IsShow: 1, IsUse: 0 },
	{ Id: 292, Code: '292', IsShow: 1, IsUse: 0 },
	{ Id: 293, Code: '293', IsShow: 1, IsUse: 0 },
	{ Id: 294, Code: '294', IsShow: 1, IsUse: 0 },
	{ Id: 295, Code: '295', IsShow: 0, IsUse: 2 },
	{ Id: 296, Code: '296', IsShow: 1, IsUse: 0 },
	{ Id: 297, Code: '297', IsShow: 1, IsUse: 0 },
	{ Id: 298, Code: '298', IsShow: 1, IsUse: 0 },
	{ Id: 299, Code: '299', IsShow: 1, IsUse: 0 },
	{ Id: 300, Code: '300', IsShow: 1, IsUse: 0 },
	{ Id: 301, Code: '301', IsShow: 1, IsUse: 0 },
	{ Id: 302, Code: '302', IsShow: 1, IsUse: 0 },
	{ Id: 303, Code: '303', IsShow: 1, IsUse: 0 },
	{ Id: 304, Code: '304', IsShow: 1, IsUse: 0 },
	{ Id: 305, Code: '305', IsShow: 1, IsUse: 0 },
	{ Id: 306, Code: '306', IsShow: 0, IsUse: 0 },
	{ Id: 307, Code: '307', IsShow: 0, IsUse: 0 },
	{ Id: 308, Code: '308', IsShow: 1, IsUse: 0 },
	{ Id: 309, Code: '309', IsShow: 1, IsUse: 0 },
	{ Id: 310, Code: '310', IsShow: 1, IsUse: 0 },
	{ Id: 311, Code: '311', IsShow: 0, IsUse: 0 },
	{ Id: 312, Code: '312', IsShow: 1, IsUse: 0 },
	{ Id: 313, Code: '313', IsShow: 1, IsUse: 0 },
	{ Id: 314, Code: '314', IsShow: 1, IsUse: 0 },
	{ Id: 315, Code: '315', IsShow: 1, IsUse: 0 },
	{ Id: 316, Code: '316', IsShow: 1, IsUse: 0 },
	{ Id: 317, Code: '317', IsShow: 0, IsUse: 0 },
	{ Id: 318, Code: '318', IsShow: 1, IsUse: 0 },
	{ Id: 319, Code: '319', IsShow: 1, IsUse: 0 },
	{ Id: 320, Code: '320', IsShow: 1, IsUse: 0 },
	{ Id: 321, Code: '321', IsShow: 1, IsUse: 0 },
	{ Id: 322, Code: '322', IsShow: 1, IsUse: 0 },
	{ Id: 323, Code: '323', IsShow: 1, IsUse: 0 },
	{ Id: 324, Code: '324', IsShow: 0, IsUse: 0 },
	{ Id: 325, Code: '325', IsShow: 1, IsUse: 0 },
	{ Id: 326, Code: '326', IsShow: 1, IsUse: 0 },
	{ Id: 327, Code: '327', IsShow: 1, IsUse: 0 },
	{ Id: 328, Code: '328', IsShow: 1, IsUse: 0 },
	{ Id: 329, Code: '329', IsShow: 1, IsUse: 0 },
	{ Id: 330, Code: '330', IsShow: 0, IsUse: 0 },
	{ Id: 331, Code: '331', IsShow: 1, IsUse: 0 },
	{ Id: 332, Code: '332', IsShow: 1, IsUse: 0 },
	{ Id: 333, Code: '333', IsShow: 1, IsUse: 0 },
	{ Id: 334, Code: '334', IsShow: 1, IsUse: 0 },
	{ Id: 335, Code: '335', IsShow: 0, IsUse: 0 },
	{ Id: 336, Code: '336', IsShow: 1, IsUse: 0 },
	{ Id: 337, Code: '337', IsShow: 1, IsUse: 0 },
	{ Id: 338, Code: '338', IsShow: 1, IsUse: 0 },
	{ Id: 339, Code: '339', IsShow: 0, IsUse: 0 },
	{ Id: 340, Code: '340', IsShow: 1, IsUse: 0 },
	{ Id: 341, Code: '341', IsShow: 1, IsUse: 0 },
	{ Id: 342, Code: '342', IsShow: 1, IsUse: 0 },
	{ Id: 343, Code: '343', IsShow: 1, IsUse: 0 },
	{ Id: 344, Code: '344', IsShow: 1, IsUse: 0 },
	{ Id: 345, Code: '345', IsShow: 1, IsUse: 0 },
	{ Id: 346, Code: '346', IsShow: 0, IsUse: 0 },
	{ Id: 347, Code: '347', IsShow: 1, IsUse: 0 },
	{ Id: 348, Code: '348', IsShow: 1, IsUse: 0 },
	{ Id: 349, Code: '349', IsShow: 1, IsUse: 0 },
	{ Id: 350, Code: '350', IsShow: 1, IsUse: 0 },
	{ Id: 351, Code: '351', IsShow: 1, IsUse: 0 },
	{ Id: 352, Code: '352', IsShow: 1, IsUse: 0 },
	{ Id: 353, Code: '353', IsShow: 1, IsUse: 0 },
	{ Id: 354, Code: '354', IsShow: 1, IsUse: 0 },
	{ Id: 355, Code: '355', IsShow: 1, IsUse: 0 },
	{ Id: 356, Code: '356', IsShow: 1, IsUse: 0 },
	{ Id: 357, Code: '357', IsShow: 0, IsUse: 0 },
	{ Id: 358, Code: '358', IsShow: 0, IsUse: 0 },
	{ Id: 359, Code: '359', IsShow: 1, IsUse: 0 },
	{ Id: 360, Code: '360', IsShow: 1, IsUse: 0 },
	{ Id: 361, Code: '361', IsShow: 1, IsUse: 0 },
	{ Id: 362, Code: '362', IsShow: 0, IsUse: 0 },
	{ Id: 363, Code: '363', IsShow: 1, IsUse: 0 },
	{ Id: 364, Code: '364', IsShow: 1, IsUse: 0 },
	{ Id: 365, Code: '365', IsShow: 1, IsUse: 0 },
	{ Id: 366, Code: '366', IsShow: 1, IsUse: 0 },
	{ Id: 367, Code: '367', IsShow: 1, IsUse: 0 },
	{ Id: 368, Code: '368', IsShow: 0, IsUse: 0 },
	{ Id: 369, Code: '369', IsShow: 1, IsUse: 0 },
	{ Id: 370, Code: '370', IsShow: 1, IsUse: 0 },
	{ Id: 371, Code: '371', IsShow: 1, IsUse: 0 },
	{ Id: 372, Code: '372', IsShow: 1, IsUse: 0 },
	{ Id: 373, Code: '373', IsShow: 1, IsUse: 0 },
	{ Id: 374, Code: '374', IsShow: 1, IsUse: 0 },
	{ Id: 375, Code: '375', IsShow: 0, IsUse: 0 },
	{ Id:376 , Code: '376', IsShow: 1, IsUse: 0 },
	{ Id:377 , Code: '377', IsShow: 1, IsUse: 0 },
	{ Id:378 , Code: '378', IsShow: 1, IsUse: 0 },
	{ Id:379 , Code: '379', IsShow: 1, IsUse: 0 },
	{ Id:380 , Code: '380', IsShow: 1, IsUse: 0 },
	{ Id:381 , Code: '381', IsShow: 0, IsUse: 0 },
	{ Id:382 , Code: '382', IsShow: 1, IsUse: 0 },
	{ Id:383 , Code: '383', IsShow: 1, IsUse: 0 },
	{ Id:384 , Code: '384', IsShow: 1, IsUse: 0 },
	{ Id:385 , Code: '385', IsShow: 1, IsUse: 0 },
	{ Id:386 , Code: '386', IsShow: 0, IsUse: 0 },
	{ Id:387 , Code: '387', IsShow: 1, IsUse: 0 },
	{ Id:388 , Code: '388', IsShow: 1, IsUse: 0 },
	{ Id:389 , Code: '389', IsShow: 1, IsUse: 0 },
	{ Id:390 , Code: '390', IsShow: 0, IsUse: 0 },
	{ Id:391 , Code: '391', IsShow: 1, IsUse: 0 },
	{ Id:392 , Code: '392', IsShow: 1, IsUse: 0 },
	{ Id:393 , Code: '393', IsShow: 1, IsUse: 0 },
	{ Id:394 , Code: '394', IsShow: 1, IsUse: 0 },
	{ Id:395 , Code: '395', IsShow: 1, IsUse: 0 },
	{ Id:396 , Code: '396', IsShow: 1, IsUse: 0 },
	{ Id:397 , Code: '397', IsShow: 0, IsUse: 0 },
	{ Id:398 , Code: '398', IsShow: 1, IsUse: 0 },
	{ Id:399 , Code: '399', IsShow: 1, IsUse: 0 },
	{ Id:400 , Code: '400', IsShow: 1, IsUse: 0 },
	{ Id:401 , Code: '401', IsShow: 1, IsUse: 0 },
	{ Id:402 , Code: '402', IsShow: 1, IsUse: 0 },
	{ Id:403 , Code: '403', IsShow: 1, IsUse: 0 },
	{ Id:404 , Code: '404', IsShow: 1, IsUse: 0 },
	{ Id:405 , Code: '405', IsShow: 1, IsUse: 0 },
	{ Id:406 , Code: '406', IsShow: 1, IsUse: 0 },
	{ Id:407 , Code: '407', IsShow: 1, IsUse: 0 },
	{ Id:408 , Code: '408', IsShow: 0, IsUse: 0 },
	{ Id:409 , Code: '409', IsShow: 0, IsUse: 0 },
	{ Id:410 , Code: '410', IsShow: 0, IsUse: 0 },
	{ Id:411 , Code: '411', IsShow: 0, IsUse: 2 },
	{ Id:412 , Code: '412', IsShow: 0, IsUse: 0 },
	{ Id:413 , Code: '413', IsShow: 0, IsUse: 0 },
	{ Id:414 , Code: '414', IsShow: 0, IsUse: 2 },
	{ Id:415 , Code: '415', IsShow: 0, IsUse: 0 },
	{ Id:416 , Code: '416', IsShow: 0, IsUse: 0 },
	{ Id:417 , Code: '417', IsShow: 0, IsUse: 0 },
	{ Id:418 , Code: '418', IsShow: 0, IsUse: 2 },
	{ Id:419 , Code: '419', IsShow: 0, IsUse: 0 },
	{ Id:420 , Code: '420', IsShow: 0, IsUse: 2 },
	{ Id:421 , Code: '421', IsShow: 0, IsUse: 0 },
	{ Id:422 , Code: '422', IsShow: 0, IsUse: 0 },
	{ Id:423 , Code: '423', IsShow: 0, IsUse: 0 },
	{ Id:424 , Code: '424', IsShow: 0, IsUse: 0 },
	{ Id:425 , Code: '425', IsShow: 0, IsUse: 0 },
	{ Id:426 , Code: '426', IsShow: 0, IsUse: 0 },
	{ Id:427 , Code: '427', IsShow: 0, IsUse: 2 },
	{ Id:428 , Code: '428', IsShow: 0, IsUse: 0 },
	{ Id:429 , Code: '429', IsShow: 0, IsUse: 2 },
	{ Id:430 , Code: '430', IsShow: 0, IsUse: 2 },
	{ Id:431 , Code: '431', IsShow: 0, IsUse: 0 },
	{ Id:432 , Code: '432', IsShow: 0, IsUse: 0 },
	{ Id:433 , Code: '433', IsShow: 0, IsUse: 0 },
	{ Id:434 , Code: '434', IsShow: 0, IsUse: 2 },
	{ Id:435 , Code: '435', IsShow: 0, IsUse: 2 },
	{ Id:436 , Code: '436', IsShow: 0, IsUse: 0 },
	{ Id:437 , Code: '437', IsShow: 0, IsUse: 0 },
	{ Id:438 , Code: '438', IsShow: 0, IsUse: 2 },
	{ Id:439 , Code: '439', IsShow: 0, IsUse: 2 },
	{ Id:440 , Code: '440', IsShow: 0, IsUse: 0 },
	{ Id:441 , Code: '441', IsShow: 0, IsUse: 0 },
	{ Id:442 , Code: '442', IsShow: 0, IsUse: 2 },
	{ Id:443 , Code: '443', IsShow: 0, IsUse: 0 },
	{ Id:444 , Code: '444', IsShow: 0, IsUse: 2 },
	{ Id:445 , Code: '445', IsShow: 0, IsUse: 2 },
	{ Id:446 , Code: '446', IsShow: 0, IsUse: 0 },
	{ Id:447 , Code: '447', IsShow: 0, IsUse: 0 },
	{ Id:448 , Code: '448', IsShow: 0, IsUse: 0 },
	{ Id:449 , Code: '449', IsShow: 0, IsUse: 2 },
	{ Id:450 , Code: '450', IsShow: 0, IsUse: 0 },
	{ Id:451 , Code: '451', IsShow: 0, IsUse: 2 },
	{ Id:452 , Code: '452', IsShow: 0, IsUse: 2 },
	{ Id:453 , Code: '453', IsShow: 0, IsUse: 0 },
	{ Id:454 , Code: '454', IsShow: 0, IsUse: 0 },
	{ Id:455 , Code: '455', IsShow: 0, IsUse: 2 },
	{ Id:456 , Code: '456', IsShow: 0, IsUse: 2 },
	{ Id:457 , Code: '457', IsShow: 0, IsUse: 2 },
	{ Id:458 , Code: '458', IsShow: 0, IsUse: 0 },
	{ Id:459 , Code: '459', IsShow: 0, IsUse: 0 },
	{ Id:460 , Code: '460', IsShow: 1, IsUse: 0 },
	{ Id:461 , Code: '461', IsShow: 1, IsUse: 0 },
	{ Id:462 , Code: '462', IsShow: 1, IsUse: 0 },
	{ Id:463 , Code: '463', IsShow: 1, IsUse: 0 },
	{ Id:464 , Code: '464', IsShow: 0, IsUse: 2 },
	{ Id:465 , Code: '465', IsShow: 1, IsUse: 0 },
	{ Id:466 , Code: '466', IsShow: 1, IsUse: 0 },
	{ Id:467 , Code: '467', IsShow: 0, IsUse: 0 },
	{ Id:468 , Code: '468', IsShow: 1, IsUse: 0 },
	{ Id:469 , Code: '469', IsShow: 1, IsUse: 0 },
	{ Id:470 , Code: '470', IsShow: 0, IsUse: 2 },
	{ Id:471 , Code: '471', IsShow: 1, IsUse: 0 },
	{ Id:472 , Code: '472', IsShow: 1, IsUse: 0 },
	{ Id:473 , Code: '473', IsShow: 0, IsUse: 0 },
	{ Id:474 , Code: '474', IsShow: 1, IsUse: 0 },
	{ Id:475 , Code: '475', IsShow: 0, IsUse: 2 },
	{ Id:476 , Code: '476', IsShow: 1, IsUse: 0 },
	{ Id:477 , Code: '477', IsShow: 0, IsUse: 2 },
	{ Id:478 , Code: '478', IsShow: 1, IsUse: 0 },
	{ Id:479 , Code: '479', IsShow: 1, IsUse: 0 },
	{ Id:480 , Code: '480', IsShow: 1, IsUse: 0 },
	{ Id:481 , Code: '481', IsShow: 1, IsUse: 0 },
	{ Id:482 , Code: '482', IsShow: 1, IsUse: 0 },
	{ Id:483 , Code: '483', IsShow: 0, IsUse: 0 },
	{ Id:484 , Code: '484', IsShow: 1, IsUse: 0 },
	{ Id:485 , Code: '485', IsShow: 1, IsUse: 0 },
	{ Id:486 , Code: '486', IsShow: 1, IsUse: 0 },
	{ Id:487 , Code: '487', IsShow: 1, IsUse: 0 },
	{ Id:488 , Code: '488', IsShow: 0, IsUse: 0 },
	{ Id:489 , Code: '489', IsShow: 1, IsUse: 0 },
	{ Id:490 , Code: '490', IsShow: 1, IsUse: 0 },
	{ Id:491 , Code: '491', IsShow: 1, IsUse: 0 },
	{ Id:492 , Code: '492', IsShow: 0, IsUse: 0 },
	{ Id:493 , Code: '493', IsShow: 1, IsUse: 0 },
	{ Id:494 , Code: '494', IsShow: 1, IsUse: 0 },
	{ Id:495 , Code: '495', IsShow: 1, IsUse: 0 },
	{ Id:496 , Code: '496', IsShow: 1, IsUse: 0 },
	{ Id:497 , Code: '497', IsShow: 1, IsUse: 0 },
	{ Id:498 , Code: '498', IsShow: 1, IsUse: 0 },
	{ Id:499 , Code: '499', IsShow: 0, IsUse: 0 },
	{ Id:500 , Code: '500', IsShow: 1, IsUse: 0 },
	{ Id:501 , Code: '501', IsShow: 1, IsUse: 0 },
	{ Id:502 , Code: '502', IsShow: 1, IsUse: 0 },
	{ Id:503 , Code: '503', IsShow: 1, IsUse: 0 },
	{ Id:504 , Code: '504', IsShow: 1, IsUse: 0 },
	{ Id:505 , Code: '505', IsShow: 1, IsUse: 0 },
	{ Id:506 , Code: '506', IsShow: 1, IsUse: 0 },
	{ Id:507 , Code: '507', IsShow: 1, IsUse: 0 },
	{ Id:508 , Code: '508', IsShow: 1, IsUse: 0 },
	{ Id:509 , Code: '509', IsShow: 1, IsUse: 0 },
	{ Id:510 , Code: '510', IsShow: 0, IsUse: 0 },
	{ Id:511 , Code: '511', IsShow: 1, IsUse: 0 },
	{ Id:512 , Code: '512', IsShow: 1, IsUse: 0 },
	{ Id:513 , Code: '513', IsShow: 1, IsUse: 0 },
	{ Id:514 , Code: '514', IsShow: 1, IsUse: 0 },
	{ Id:515 , Code: '515', IsShow: 0, IsUse: 0 },
	{ Id:516 , Code: '516', IsShow: 1, IsUse: 0 },
	{ Id:517 , Code: '517', IsShow: 1, IsUse: 0 },
	{ Id:518 , Code: '518', IsShow: 0, IsUse: 2 },
	{ Id:519 , Code: '519', IsShow: 1, IsUse: 0 },
	{ Id:520 , Code: '520', IsShow: 1, IsUse: 0 },
	{ Id:521 , Code: '521', IsShow: 0, IsUse: 0 },
	{ Id:522 , Code: '522', IsShow: 1, IsUse: 0 },
	{ Id:523 , Code: '523', IsShow: 1, IsUse: 0 },
	{ Id:524 , Code: '524', IsShow: 0, IsUse: 2 },
	{ Id:525 , Code: '525', IsShow: 1, IsUse: 0 },
	{ Id:526 , Code: '526', IsShow: 0, IsUse: 0 },
	{ Id:527 , Code: '527', IsShow: 1, IsUse: 0 },
	{ Id:528 , Code: '528', IsShow: 0, IsUse: 0 },
	{ Id:529 , Code: '529', IsShow: 1, IsUse: 0 },
	{ Id:530 , Code: '530', IsShow: 1, IsUse: 0 },
	{ Id:531 , Code: '531', IsShow: 1, IsUse: 0 },
	{ Id:532 , Code: '532', IsShow: 1, IsUse: 0 },
	{ Id:533 , Code: '533', IsShow: 1, IsUse: 0 },
	{ Id:534 , Code: '534', IsShow: 0, IsUse: 2 },
	{ Id:535 , Code: '535', IsShow: 1, IsUse: 0 },
	{ Id:536 , Code: '536', IsShow: 1, IsUse: 0 },
	{ Id:537 , Code: '537', IsShow: 1, IsUse: 0 },
	{ Id:538 , Code: '538', IsShow: 1, IsUse: 0 },
	{ Id:539 , Code: '539', IsShow: 0, IsUse: 2 },
	{ Id:540 , Code: '540', IsShow: 1, IsUse: 0 },
	{ Id:541 , Code: '541', IsShow: 1, IsUse: 0 },
	{ Id:542 , Code: '542', IsShow: 1, IsUse: 0 },
	{ Id:543 , Code: '543', IsShow: 0, IsUse: 2 },
	{ Id:544 , Code: '544', IsShow: 1, IsUse: 0 },
	{ Id:545 , Code: '545', IsShow: 1, IsUse: 0 },
	{ Id:546 , Code: '546', IsShow: 1, IsUse: 0 },
	{ Id:547 , Code: '547', IsShow: 1, IsUse: 0 },
	{ Id:548 , Code: '548', IsShow: 1, IsUse: 0 },
	{ Id:549 , Code: '549', IsShow: 1, IsUse: 0 },
	{ Id:550 , Code: '550', IsShow: 0, IsUse: 2 },
	{ Id:551 , Code: '551', IsShow: 1, IsUse: 0 },
	{ Id:552 , Code: '552', IsShow: 1, IsUse: 0 },
	{ Id:553 , Code: '553', IsShow: 1, IsUse: 0 },
	{ Id:554 , Code: '554', IsShow: 1, IsUse: 0 },
	{ Id:555 , Code: '555', IsShow: 1, IsUse: 0 },
	{ Id:556 , Code: '556', IsShow: 1, IsUse: 0 },
	{ Id:557 , Code: '557', IsShow: 1, IsUse: 0 },
	{ Id:558 , Code: '558', IsShow: 1, IsUse: 0 },
	{ Id:559 , Code: '559', IsShow: 1, IsUse: 0 },
	{ Id:560 , Code: '560', IsShow: 1, IsUse: 0 },
	{ Id:561 , Code: '561', IsShow: 0, IsUse: 2 },
	{ Id:562 , Code: '562', IsShow: 1, IsUse: 0 },
	{ Id:563 , Code: '563', IsShow: 1, IsUse: 0 },
	{ Id:564 , Code: '564', IsShow: 1, IsUse: 0 },
	{ Id:565 , Code: '565', IsShow: 1, IsUse: 0 },
	{ Id:566 , Code: '566', IsShow: 0, IsUse: 2 },
	{ Id:567 , Code: '567', IsShow: 1, IsUse: 0 },
	{ Id:568 , Code: '568', IsShow: 1, IsUse: 0 },
	{ Id:569 , Code: '569', IsShow: 0, IsUse: 0 },
	{ Id:570 , Code: '570', IsShow: 1, IsUse: 0 },
	{ Id:571 , Code: '571', IsShow: 1, IsUse: 0 },
	{ Id:572 , Code: '572', IsShow: 0, IsUse: 2 },
	{ Id:573 , Code: '573', IsShow: 1, IsUse: 0 },
	{ Id:574 , Code: '574', IsShow: 1, IsUse: 0 },
	{ Id:575 , Code: '575', IsShow: 0, IsUse: 0 },
	{ Id:576 , Code: '576', IsShow: 1, IsUse: 0 },
	{ Id:577 , Code: '577', IsShow: 0, IsUse: 2 },
	{ Id:578 , Code: '578', IsShow: 1, IsUse: 0 },
	{ Id:579 , Code: '579', IsShow: 0, IsUse: 2 },
	{ Id:580 , Code: '580', IsShow: 1, IsUse: 0 },
	{ Id:581 , Code: '581', IsShow: 1, IsUse: 0 },
	{ Id:582 , Code: '582', IsShow: 1, IsUse: 0 },
	{ Id:583 , Code: '583', IsShow: 1, IsUse: 0 },
	{ Id:584 , Code: '584', IsShow: 1, IsUse: 0 },
	{ Id:585 , Code: '585', IsShow: 1, IsUse: 0 },
	{ Id:586 , Code: '586', IsShow: 1, IsUse: 0 },
	{ Id:587 , Code: '587', IsShow: 1, IsUse: 0 },
	{ Id:588 , Code: '588', IsShow: 1, IsUse: 0 },
	{ Id:589 , Code: '589', IsShow: 1, IsUse: 0 },
	{ Id:590 , Code: '590', IsShow: 1, IsUse: 0 },
	{ Id:591 , Code: '591', IsShow: 1, IsUse: 0 },
	{ Id:592 , Code: '592', IsShow: 1, IsUse: 0 },
	{ Id:593 , Code: '593', IsShow: 1, IsUse: 0 },
	{ Id:594 , Code: '594', IsShow: 1, IsUse: 0 },
	{ Id:595 , Code: '595', IsShow: 1, IsUse: 0 },
	{ Id:596 , Code: '596', IsShow: 1, IsUse: 0 },
	{ Id:597 , Code: '597', IsShow: 1, IsUse: 0 },
	{ Id:598 , Code: '598', IsShow: 1, IsUse: 0 },
	{ Id:599 , Code: '599', IsShow: 1, IsUse: 0 },
	{ Id:600 , Code: '600', IsShow: 1, IsUse: 0 },
	{ Id:601 , Code: '601', IsShow: 1, IsUse: 0 },
	{ Id:602 , Code: '602', IsShow: 1, IsUse: 0 },
	{ Id:603 , Code: '603', IsShow: 1, IsUse: 0 },
	{ Id:604 , Code: '604', IsShow: 1, IsUse: 0 },
	{ Id:605 , Code: '605', IsShow: 1, IsUse: 0 },
	{ Id:606 , Code: '606', IsShow: 1, IsUse: 0 },
	{ Id:607 , Code: '607', IsShow: 1, IsUse: 0 },
	{ Id:608 , Code: '608', IsShow: 1, IsUse: 0 },
	{ Id:609 , Code: '609', IsShow: 1, IsUse: 0 },
	{ Id:610 , Code: '610', IsShow: 1, IsUse: 0 },
	{ Id:611 , Code: '611', IsShow: 1, IsUse: 0 },
	{ Id:612 , Code: '612', IsShow: 1, IsUse: 0 },
  ];

   
  </script>
  
  <style scoped>
	.card-line{
		border: none;
		background-color: transparent;
		position:absolute;
		z-index: 99;
		margin-top: 10px;
	}
	.grid-container-line{
		display: grid;
		grid-template-columns: repeat(51, 30px); /* 每列宽度 */
		grid-template-rows: repeat(1, 350px);  /* 每行高度 */
		gap: 0px; /* Gap between cells */
	}
	.grid-item-line{
		text-align: center;
		line-height: 50px; /* Vertical center the content */
		font-size: 12px; /* Adjust font size */
		width: 30px;
		height: 100%;
		color: #fff;
		font-size: 14px;
		
		display: flex;
		justify-content: center;
	}
	.grid-item-line-end{
		width:80px;
		height: 25px;
		border: 2px solid #797777;
		background-color: rgb(182, 180, 180);
		position: fixed;
		margin-top: -25px;
		display: flex;
		text-align: center;
		justify-content: center;
		align-items: center;
    	text-align: center;
    	color: #fff;
	}
	.grid-item-line-box{
		width: 20px;
		height: 20px;
		background-color:rgb(97, 250, 145);
		position: absolute;
		display: flex;
		text-align: center;
		justify-content: center;
		align-items: center; /* Added to vertically center the text */
    	text-align: center;
    	color: black;
	}
	.grid-item-line-child{
		height: 100%;
		width: 3px;
		background-color: #9c9c9c;
	}

	.card{
		position:absolute;
		border-top: none;
		z-index: 90;
		margin-top: 330px;
	}
  	.grid-container {
		display: grid;
		grid-template-columns: repeat(51, 30px); /* 每列宽度 */
		grid-template-rows: repeat(12, 35px);  /* 每行高度 */
		gap: 0px; /* Gap between cells */
	}

	.grid-item {
		background-color: #9c9c9c;
		border: 1px solid #797777;
		text-align: center;
		line-height: 35px;
		font-size: 12px;
		width: 30px;
		height: 35px;
		color: #fff;
		font-size: 14px;
	}
	.active {
		background-color: rgb(57, 141, 251); /* IsUse 为1时背景颜色为蓝色 */
		color: #f5f5f5;
	}
	.active2>div {
		display: none;
	}
	
  </style>
  